Bug 1378344 (CVE-2016-7045) - CVE-2016-7045 irssi: String length not validated in format_send_to_gui() causing crash
Summary: CVE-2016-7045 irssi: String length not validated in format_send_to_gui() caus...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-7045
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1378345 1378346
Blocks: 1378349
TreeView+ depends on / blocked
 
Reported: 2016-09-22 08:22 UTC by Adam Mariš
Modified: 2019-09-29 13:57 UTC (History)
4 users (show)

Fixed In Version: irssi 0.8.20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:51:46 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-09-22 08:22:29 UTC
A vulnerability in irssi was found caused by improper input checking allowing remote attacker to cause application crash.

The format_send_to_gui() function does not validate the length of the string before incrementing the `ptr' pointer in all cases. If that happens, the pointer `ptr' can be incremented twice and thus end past the boundaries of the original `dup' buffer.

Affected versions: Irssi 0.8.17-beta up to and including 0.8.19 up to 0.8.19-219-g52fedea

External Reference:

https://irssi.org/security/irssi_sa_2016.txt

Comment 1 Adam Mariš 2016-09-22 08:23:39 UTC
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1378345]
Affects: epel-5 [bug 1378346]

Comment 6 Cedric Buissart 2016-09-27 09:50:33 UTC
As shipped in RHEL-6, RHEL-7 or EPEL-5, the ptr pointer can not overflow. These products are not affected by this flaw.


Note You need to log in before you can comment on or make changes to this bug.